## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPtr< T > Class Template Reference

A normal pointer. More...

`#include <csutil/ref.h>`

List of all members.

## Public Member Functions

| csPtr (const csPtr< T > &copy)
template<class T2>
| csPtr (csRef< T2 > const &r)
| csPtr (T *p)

## Friends

class | csRef< T >

## Detailed Description

### template<class T>
class csPtr< T >

A normal pointer.

This class should ONLY be used for functions returning pointers that are already IncRef()'ed for the caller. This class behaves like a pointer encapsulator. Please do NOT use this for anything else (for example, don't use this class to remember pointers to anything. Use csRef for that). It only stores the pointer. Nothing else. When it is assigned to a csRef, the csRef smart pointer will 'inherit' the reference (so no IncRef() happens).

Definition at line 79 of file ref.h.

The documentation for this class was generated from the following file:

- csutil/ref.h